#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidExpression {
    #[builder(into)]
    #[serde(rename = "expression")]
    expression: String,
}
impl InvalidExpression {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(expression: impl Into<String>) -> Self {
        Self::builder().expression(expression).build()
    }
    #[inline]
    pub fn expression(&self) -> &str {
        &*self.expression
    }
}
impl conjure_error::ErrorType for InvalidExpression {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:InvalidExpression"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
